
#ifndef _Debugger_h_
#define _Debugger_h_

#pragma warning (disable : 4786)

//#define NITRO_DEBUG

#ifdef NITRO_DEBUG
#define PRINT1(a) Debugger::debugger.print(a)
#define PRINT2(a,b) Debugger::debugger.print(a,b)
#define TPRINT(a,b) Debugger::debugger._tprint(a,b)
#else
#define PRINT1(a)
#define PRINT2(a,b)
#define TPRINT(a,b)
#endif

#include <string>
#include <stdio.h>
#include <iostream>
// * port #include <comdef.h>
// * port #include <tchar.h>

// * port 
typedef const char * LPCTSTR ;

using namespace std;

class Debugger {
  private:
    FILE *debugFile;
    string fileName;
  public:
	  Debugger (const string &_fileName);
	  virtual ~Debugger (void);
    void print (const string &message);
    void print (const string &message, const int integer1);
    void _tprint (const string &message1, LPCTSTR message2); 
    static Debugger debugger;
};

#endif

