
#include "DeletePrimitiveStringObject.h"

DeletePrimitiveStringObject::DeletePrimitiveStringObject (const string &_value): PrimitiveStringObject (_value) {
}

DeletePrimitiveStringObject::~DeletePrimitiveStringObject (void) {
}

void DeletePrimitiveStringObject::evaluate (Thread* thread, const string &objectReferenceName, const string &memberReferenceName, const string &destinationReferenceName, const ParamsList paramsList) {
  PRINT1 ("\n  Ejecucion del miembro 'delete'.");
  // Busqueda de la referencia a 'String' para futuros usos.
  // Busqueda de la referencia al objeto que se desea eliminar.
  Reference* objectReference = thread->findReference (objectReferenceName);
  // Si el objeto existe se elimina.
  if (objectReference != NULL) {
    objectReference->deleteObject();
    delete objectReference;
  }
}
