
#include "EnterPrimitiveStringObject.h"

EnterPrimitiveStringObject::EnterPrimitiveStringObject (const string &_value): PrimitiveStringObject (_value) {
}

EnterPrimitiveStringObject::~EnterPrimitiveStringObject (void) {
}

void EnterPrimitiveStringObject::evaluate (Thread* thread, const string &objectReferenceName, const string &memberReferenceName, const string &destinationReferenceName, const ParamsList paramsList) {
  PRINT1 ("\n  Ejecucion del miembro 'enter'.");
  // Busqueda de la referencia al objeto en el que se buscara el miembro.
  Reference* objectReference = thread->findReference (objectReferenceName);
  if (objectReference == NULL) {
    PRINT1 ("\n    No se ha encontrado la referencia al objeto 'sender'.");
    return;
  }
  objectReference->getObject()->lock (thread);
}
