
#ifndef _Lexer_h_
#define _Lexer_h_

#pragma warning (disable : 4786)

#include <iostream>
#include <string>
#include <fstream>
#include "Basic.h"
#include "Debugger.h"

using namespace std;

class Lexer {
  private:
    long line;
    istream* data;
    int token;
    string result;
    string buffer;
    char readChar (void);
    void returnChar (char c);
  public:
    Lexer (istream* _data);
    virtual ~Lexer (void);
    int getToken (void) const;
    void nextToken (void);
    string getResult (void) const;
    long getLine (void) const;
    //void showError (const string &errorMessage) const;
};

#endif
