#include "Reference.h"
#include "Object.h"

Reference::Reference (Object* _object) {
  object = _object;
  object->incRefCount();
}

Reference::Reference (Object* _object, bool system) {
  object = _object;
//  object->incRefCount();
}

Reference::~Reference (void) {
	if (object != NULL)
    object->decRefCount();
}

// Este metodo no puede ser 'const' pues se utiliza en un dynamic_cast,
// en el metodo 'exec' de la clase 'SynchronousMemberEvaluationStatement'.
Object* Reference::getObject (void) {
  return object;
}

void Reference::setObject (Object* _object) {
  object->decRefCount();
  object = _object;
  _object->incRefCount();
}

void Reference::deleteObject (void) {
  delete object;
}

