
#ifndef _StringEvaluationStatement_h_
#define _StringEvaluationStatement_h_

#pragma warning (disable : 4786)

#include "Statement.h"
#include "Reference.h"

class StringEvaluationStatement : public Statement {
  protected:
    Reference* stringReference;
    ReferencesVector paramsReferences;
    string stringReferenceName;
    ParamsList paramsList;
  public:
    StringEvaluationStatement (const string &_stringReferenceName, const ParamsList &_paramsList);
    virtual ~StringEvaluationStatement (void);
    virtual void exec (void);
};

#endif
