
#ifndef _SynchronousMemberEvaluationStatement_h_
#define _SynchronousMemberEvaluationStatement_h_

#pragma warning (disable : 4786)

#include "MemberEvaluationStatement.h"
#include <string>
#include "Debugger.h"

using namespace std;

class SynchronousMemberEvaluationStatement : public MemberEvaluationStatement {
  private:
    Reference* destinationReference;
    string destinationReferenceName;
  public:
    SynchronousMemberEvaluationStatement (const string &_objectReferenceName, const string &_memberReferenceName, const ParamsList &_paramsList, const string &_destinationReferenceName);
	  virtual ~SynchronousMemberEvaluationStatement (void);
    void exec (void);
};

#endif
