
#ifndef _SynchronousStringEvaluationStatement_h_
#define _SynchronousStringEvaluationStatement_h_

#pragma warning (disable : 4786)

#include "StringEvaluationStatement.h"
#include <string>
#include "Debugger.h"

using namespace std;

class SynchronousStringEvaluationStatement : public StringEvaluationStatement {
  private:
    Reference* destinationReference;
    string destinationReferenceName;
  public:
	  SynchronousStringEvaluationStatement (const string &_stringReferenceName, const ParamsList &_paramsList, const string &_destinationReferenceName);
	  virtual ~SynchronousStringEvaluationStatement (void);
    void exec (void);
};

#endif
