
#ifndef _AssignReferenceStatement_h_
#define _AssignReferenceStatement_h_

#pragma warning (disable : 4786)

#include <string>
#include "Statement.h"
#include "Reference.h"
#include "Debugger.h"
#include "StringObject.h"

using namespace std;

class AssignReferenceStatement : public Statement {
  protected:
    Reference* sourceReference;
    Reference* destinationReference;
    string sourceReferenceName;
    string destinationReferenceName;
  public:
    AssignReferenceStatement (const string &_sourceReferenceName, const string &_destinationReferenceName);
    virtual ~AssignReferenceStatement (void);
    void exec (void);
};

#endif
