
#ifndef _Basic_h_
#define _Basic_h_

#define TK_SEMICOLON 100
#define TK_POINT 101
#define TK_COMMA 102
#define TK_TWO_POINTS 103
#define TK_LPAREN 104
#define TK_RPAREN 105
#define TK_LANGLE 106
#define TK_RANGLE 107
#define TK_ASSIGN_REF 108
#define TK_NEW_REF 109
#define TK_ADD 200
#define TK_MUL 201
#define TK_MINUS 202
#define TK_DIV 203
#define TK_MOD 204
#define TK_COMMENT 300
#define TK_ESCAPE 301
#define TK_EQUAL 302
#define TK_INTEGER 501
#define TK_IDENTIFIER 502
#define TK_STRING 503
#define TK_END 0

#define ID "<id>"
#define SUPER "<super>"
#define SENDER "sender"
#define MYSELF "mySelf"
#define RETURN "return"
#define PARAMS "params"

#pragma warning (disable : 4786)

// * port #include <objbase.h>
#include <iostream>
#include <string>
#include <sstream>
#include <iomanip>
#include <list>

using namespace std;

typedef list<string> ParamsList;

class Basic {
  private:
  public:
    Basic (void);
    ~Basic (void);
    static bool isNitroString (const string &s);
    static string stringToNitroString (const string &s);
    static string nitroStringToString (const string &s);
    static string intToNitroString (const int &i);
    static string intToString (const int &i);
    static string getNewGUID (void);
};

#endif

