
#include "LockTwoPointsPrimitiveStringObject.h"

LockTwoPointsPrimitiveStringObject::LockTwoPointsPrimitiveStringObject (const string &_value): PrimitiveStringObject (_value) {
}

LockTwoPointsPrimitiveStringObject::~LockTwoPointsPrimitiveStringObject (void) {
}

void LockTwoPointsPrimitiveStringObject::evaluate (Thread* thread, const string &objectReferenceName, const string &memberReferenceName, const string &destinationReferenceName, const ParamsList paramsList) {
  PRINT1 ("\n  Ejecucion del miembro 'lockTwoPoints'.");
  // Busqueda de la referencia al objeto en el que se buscara el miembro.
  Reference* objectReference = thread->findReference (objectReferenceName);
  if (objectReference == NULL) {
    PRINT1 ("\n    No se ha encontrado la referencia al objeto 'sender'.");
    return;
  }
  objectReference->getObject()->lockTwoPoints();
}
