
#ifndef _MemberAccessStatement_h_
#define _MemberAccessStatement_h_

#pragma warning (disable : 4786)

#include "TwoPointsStatement.h"
#include "Reference.h"
#include "Debugger.h"
#include "StringObject.h"

class MemberAccessStatement : public TwoPointsStatement {
  protected:
    Reference* destinationReference;
    string destinationReferenceName;
  public:
    MemberAccessStatement (const string &_objectReferenceName, const string &_memberReferenceName, const string &_destinationReferenceName);
    virtual ~MemberAccessStatement (void);
    void exec (void);
};

#endif
