
#ifndef _MemberEvaluationStatement_h_
#define _MemberEvaluationStatement_h_

#pragma warning (disable : 4786)

#include "TwoPointsStatement.h"
#include "Reference.h"
#include "Basic.h"
#include "Context.h"
#include <vector>
#include "Debugger.h"
#include "StringObject.h"

using namespace std;

class MemberEvaluationStatement : public TwoPointsStatement {
  protected:
    ReferencesVector paramsReferences;
    ParamsList paramsList;
  public:
    MemberEvaluationStatement (const string &_objectReferenceName, const string &_memberReferenceName, const ParamsList &_paramsList);
    virtual ~MemberEvaluationStatement (void);
    virtual void exec (void);
};

#endif
