
#include "NewReferenceStatement.h"

NewReferenceStatement::NewReferenceStatement (const string &_referenceName) {
  reference = NULL;
  referenceName = _referenceName;
}

NewReferenceStatement::~NewReferenceStatement (void) {
}

void NewReferenceStatement::exec (void) {
  PRINT1 ("\nCreacion de la nueva referencia: " + referenceName + ".");
  Reference* nilReference = thread->findReference ("nil");
  if (nilReference != NULL) {
    reference = new Reference (nilReference->getObject());
    thread->getLastContext()->insertReference (referenceName, reference);
  }
}
