
#include "NitroOutput.h"
#include <iostream>
using namespace std;

NitroOutput NitroOutput::nitroOutput ("nitrO.out");

NitroOutput::NitroOutput (const string &fileName) {
  outputFile = fopen (fileName.c_str(), "w");
  if (!outputFile) {
    cerr<<"Could not open "<<fileName<<" file";
    exit(-2);
  }
}

NitroOutput::~NitroOutput (void) {
  if (outputFile != NULL)
    fclose (outputFile);
}

void NitroOutput::print (const string &message) {
  if (outputFile != NULL)
    fprintf (outputFile, message.c_str());
}
