
#ifndef _PrimitiveStringObject_h_
#define _PrimitiveStringObject_h_

#pragma warning (disable : 4786)

#include "Object.h"
#include "StringObject.h"
#include "Reference.h"
#include "Thread.h"
#include "Debugger.h"
#include "Basic.h"

class PrimitiveStringObject : public StringObject {
  public:
    PrimitiveStringObject (const string &_value);
	  virtual ~PrimitiveStringObject (void);
    virtual void evaluate (Thread* thread, const string &objectReferenceName, const string &memberReferenceName, const string &destinationReferenceName, const ParamsList paramsList);
};

#endif
