
#include "PrintPrimitiveStringObject.h"

PrintPrimitiveStringObject::PrintPrimitiveStringObject (const string &_value): PrimitiveStringObject (_value) {
}

PrintPrimitiveStringObject::~PrintPrimitiveStringObject (void) {
}

void PrintPrimitiveStringObject::evaluate (Thread* thread, const string &objectReferenceName, const string &memberReferenceName, const string &destinationReferenceName, const ParamsList paramsList) {
  PRINT1 ("\n  Ejecucion del miembro 'Print'.");
  // Busqueda de la referencia al objeto 'sender'.
  Reference* objectReference = thread->findReference (objectReferenceName);
  if (objectReference == NULL) {
    PRINT1 ("\n    No se ha encontrado la referencia al objeto 'sender'.");
    return;
  }
  StringObject* so = dynamic_cast<StringObject*>(objectReference->getObject()->findMember(ID)->getObject());
  if (so != NULL) {
    if (so->getValue() == "<\n>")
      NitroOutput::nitroOutput.print ("\n");
    else
      NitroOutput::nitroOutput.print (so->getValue());
  }
}
