
#ifndef _ReferenceEvaluationStatement_h_
#define _ReferenceEvaluationStatement_h_

#pragma warning (disable : 4786)

#include "Statement.h"
#include "Reference.h"

class ReferenceEvaluationStatement : public Statement {
  protected:
    Reference* objectReference;
    string objectReferenceName;
    ReferencesVector paramsReferences;
    ParamsList paramsList;
  public:
    ReferenceEvaluationStatement (const string &_objectReferenceName, const ParamsList &_paramsList);
    virtual ~ReferenceEvaluationStatement (void);
    virtual void exec (void);
};

#endif
