
#ifndef _SynchronousReferenceEvaluationStatement_h_
#define _SynchronousReferenceEvaluationStatement_h_

#pragma warning (disable : 4786)

#include "ReferenceEvaluationStatement.h"
#include <string>
#include "Debugger.h"

using namespace std;

class SynchronousReferenceEvaluationStatement : public ReferenceEvaluationStatement {
  private:
    Reference* destinationReference;
    string destinationReferenceName;
  public:
	  SynchronousReferenceEvaluationStatement (const string &_objectReferenceName, const ParamsList &_paramsList, const string &_destinationReferenceName);
	  virtual ~SynchronousReferenceEvaluationStatement (void);
    void exec (void);
};

#endif
