
#ifndef _TwoPointsStatement_h_
#define _TwoPointsStatement_h_

#pragma warning (disable : 4786)

#include "Statement.h"
#include "Reference.h"
#include "Debugger.h"
#include "StringObject.h"

class TwoPointsStatement : public Statement {
  protected:
    Reference* objectReference;
    Reference* memberReference;
    Reference* memberOwnerReference;
    string objectReferenceName;
    string memberReferenceName;
  public:
    TwoPointsStatement (const string &_objectReferenceName, const string &_memberReferenceName);
    virtual ~TwoPointsStatement (void);
    virtual void exec (void);
    void twoPointsMethod (Reference* twoPointsMemberReference, Reference* destinationReference, ParamsList paramsList, const bool isAccess, const bool isSynchronous);
};

#endif
