
#include "UnlockTwoPointsPrimitiveStringObject.h"

UnlockTwoPointsPrimitiveStringObject::UnlockTwoPointsPrimitiveStringObject (const string &_value): PrimitiveStringObject (_value) {
}

UnlockTwoPointsPrimitiveStringObject::~UnlockTwoPointsPrimitiveStringObject (void) {
}

void UnlockTwoPointsPrimitiveStringObject::evaluate (Thread* thread, const string &objectReferenceName, const string &memberReferenceName, const string &destinationReferenceName, const ParamsList paramsList) {
  PRINT1 ("\n  Ejecucion del miembro 'unlockTwoPoints'.");
  // Busqueda de la referencia al objeto en el que se buscara el miembro.
  Reference* objectReference = thread->findReference (objectReferenceName);
  if (objectReference == NULL) {
    PRINT1 ("\n    No se ha encontrado la referencia al objeto 'sender'.");
    return;
  }
  objectReference->getObject()->unlockTwoPoints();
}
