#ifndef _lexer_h_
#define _lexer_h_

#include <string>
#include <sstream>
#include <string.h>

using namespace std;

bool isInteger(const string &);
bool isReal(const string &);
bool isString(const string &);
const string getString(const string &);
const string setString(const string &);
long toInteger(const string &);
double toReal(const string &);
const string toString(long);
const string toString(double);
const string toBoolean(int);

#endif

